@echo off

REM  HM800
REM  openssl execute Tool
REM                 Copy right. 2014  Hitachi. Ltd.
REM
REM History  :DATE        :Coder       : Patch No
REM HM800    :2014.07.16  :S.Hattori   : Z8476610615 for HM800 MappIniSet
REM
REM filename :executeOpenssl.bat
REM
REM Document
REM    Batch file to openssl execute
REM
REM --------------------------------------------------------------------------

SET ARG_PKCS=%1
SET ARG_EXPT=%2
SET ARG_OUT=%3
SET ARG_OUTP=%4
SET ARG_IN=%5
SET ARG_INP=%6
SET ARG_INK=%7
SET ARG_INKP=%8
SET ARG_PAS=%9
shift
SET ARG_PASS=%9
shift
SET ARG_MPRT=%9
"%ARG_MPRT%\OSS\openssl\openssl.exe" %ARG_PKCS% %ARG_EXPT% %ARG_OUT% %ARG_OUTP% %ARG_IN% %ARG_INP% %ARG_INK% %ARG_INKP% %ARG_PAS% %ARG_PASS%
